Package com.trilead.ssh2

## Class LocalStreamForwarder

- java.lang.Object
- - com.trilead.ssh2.LocalStreamForwarder

    public class LocalStreamForwarder
    extends java.lang.Object

A `LocalStreamForwarder` forwards an Input- and Outputstream pair via the secure tunnel to another host (which may or may not be identical to the remote SSH-2 server).

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close the underlying SSH forwarding channel and free up resources.
`java.io.InputStream` `getInputStream()`
`java.io.OutputStream` `getOutputStream()` Get the OutputStream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

Returns:
  An `InputStream` object.
Throws:
  `java.io.IOException`

#### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

Get the OutputStream. Please be aware that the implementation MAY use an internal buffer. To make sure that the buffered data is sent over the tunnel, you have to call the `flush` method of the `OutputStream`. To signal EOF, please use the `close` method of the `OutputStream`.

Returns:
  An `OutputStream` object.
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Close the underlying SSH forwarding channel and free up resources. You can also use this method to force the shutdown of the underlying forwarding channel. Pending output (OutputStream not flushed) will NOT be sent. Pending input (InputStream) can still be read. If the shutdown operation is already in progress (initiated from either side), then this call is a no-op.

Throws:
  `java.io.IOException`